ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Павлухин Иван <vololo...@gmail.com>
Subject Re: Revisit added java modules in ignite.sh
Date Mon, 08 Jul 2019 17:48:18 GMT
Igniters,

I present a ticket [1] removing java.transaction and java.corba
modules from sh/bat scripts for your review. I remind that it fixes
nodejs, python and php suites when running on Java 9 and 10.

In case there is no activity on this I would like to merge it this week.

[1] https://issues.apache.org/jira/browse/IGNITE-11946

ср, 3 июл. 2019 г. в 21:40, Павлухин Иван <vololo100@gmail.com>:
>
> I removed command line arguments enabling java.transaction and
> java.corba module from TC configuration. All activity in a ticket [1].
>
> [1] https://issues.apache.org/jira/browse/IGNITE-11946
>
> вс, 30 июн. 2019 г. в 07:31, Павлухин Иван <vololo100@gmail.com>:
> >
> > I made 2 experiments:
> > 1. Removed --add-modules=java.transaction from TC configurations. I
> > have not observed any new test failures after that change.
> > 2. Removed that option from ignite.sh in PR. In PR problematic thin
> > client suites are green.
> >
> > See the ticket [1] for additional details. If there is no objections I
> > will cleanup that option from TC configurations and Ignite scripts.
> >
> > [1] https://issues.apache.org/jira/browse/IGNITE-9687
> >
> > пт, 28 июн. 2019 г. в 10:09, Павлухин Иван <vololo100@gmail.com>:
> > >
> > > Folks,
> > >
> > > During investigation of thin client test suite failures [1] I found
> > > that it is not clear whether --add-modules=java.transaction in
> > > ignite.sh/bat is needed (we add this module for Java 9 and 10). In
> > > thread [1] I already mentioned that launching ignite.sh with Java 9
> > > and ignite-jta libraries on a classpath leads to an error. You can see
> > > how it can look in a log [2].
> > >
> > > My proposal here is to get rid off --add-modules=java.transaction from
> > > stratup scripts and parameters used by TC. And I will try to explain
> > > why.
> > >
> > > The story started in a ticket [3]. Where a recipe
> > > --add-modules=java.transaction
> > > --patch-module=java.transaction=$HOME/.m2/repository/javax/transaction/javax.transaction-api/1.3/javax.transaction-api-1.3.jar
> > > allowed to execute JTA tests successfully. After that
> > > --add-modules=java.transaction was added to launch scripts. But that
> > > setup allowed to launch tests. And they failed actually due to
> > > problems with resolving needed classes for test depndencies
> > > (org.ow2.jotm:jotm-core). Needed classes were not found because the
> > > dependency required classes from java standard library which were
> > > moved to optional modules. And the thing is even trickier with a
> > > --patch-module option because javax.transaction-api-1.3.jar contains a
> > > superset of classes comparing to java.transaction module. So, I do not
> > > see a need of adding this module. Moreover that module was removed
> > > completely starting from Java 11. And even if missed something and it
> > > has some meaning for Java 9/10, I still think that having uniform
> > > setup for all Java versions simplifies matters.
> > >
> > > Have I missed something? Do we have an example how to check JTA
> > > integration? How it can be used with a standalone Ignite setup?
> > >
> > > P.S. Also I will try to do a similar reseach about java.xml.bind
> > > module if noone knows why do we need it.
> > >
> > > [1] http://apache-ignite-developers.2346864.n4.nabble.com/Thin-client-test-suites-failure-td42388.html
> > > [2] https://ci.ignite.apache.org/viewLog.html?buildId=4217786&buildTypeId=IgniteTests24Java8_ThinClientNodeJs&tab=buildLog&branch_IgniteTests24Java8=pull%2F6644%2Fhead&_focus=423#_state=423
> > > [3] https://issues.apache.org/jira/browse/IGNITE-9687
> > > --
> > > Best regards,
> > > Ivan Pavlukhin
> >
> >
> >
> > --
> > Best regards,
> > Ivan Pavlukhin
>
>
>
> --
> Best regards,
> Ivan Pavlukhin



-- 
Best regards,
Ivan Pavlukhin

Mime
View raw message